int Pad_position()
{
	//default je sredina
	char test[5];
	int key;
	key=KBD_GetKey();
	
	switch (p_position)
	{
		
	/*case 0://pad1
		if ((display==DISP_PAD1) && (xpercent>60))
		{
			display=DISP_PAD2;
			pos_c = display;
			Refresh_position(0);//zapolni staro poziciji pada s ?rno
			break;
		
		} 
	
		if ((display==DISP_PAD1) && (ypercent<42))
		{
			display=DISP_PAD4;
			pos_c = display;
			Refresh_position(0);//zapolni staro poziciji pada s ?rno
			break;
		
		}else p_position++;
		break;
	
	case 1://pad2
		if ((display==DISP_PAD2) && (xpercent>60))
		{
			display=DISP_PAD3;
			pos_c = display;
			Refresh_position(1);
			break;
		
		}
		if ((display==DISP_PAD2) && (xpercent<35))
		{
			display=DISP_PAD1;
			pos_c = display;
			Refresh_position(1);
			break;
		
		}
		if ((display==DISP_PAD2) && (ypercent<42))
		{
			display=DISP_PAD5;
			pos_c = display;
			Refresh_position(1);
			break;
		
		}else p_position++;
		break;
	
	case 3://pad3
		if ((display==DISP_PAD3) && (xpercent<35))
		{
			display=DISP_PAD2;
			pos_c = display;
			Refresh_position(2);
			break;
		
		}
		if ((display==DISP_PAD3) && (ypercent<42))
		{
			display=DISP_PAD6;
			pos_c = display;
			Refresh_position(2);
			break;
		
		}else p_position++;
		break;
	
	case 4://pad4
		if ((display==DISP_PAD4) && (ypercent>63))
		{
			display=DISP_PAD1;
			pos_c = display;
			Refresh_position(3);
			break;
		
		}
		if ((display==DISP_PAD4) && (xpercent>60))
		{
			display=DISP_PAD5;
			pos_c = display;
			Refresh_position(3);
			break;
		
		}
		if ((display==DISP_PAD4) && (ypercent<42))
		{
			display=DISP_PAD7;
			pos_c = display;
			Refresh_position(3);
			break;
		
		}else p_position++;
		break;
	
	case 5://pad5
		if ((display==DISP_PAD5) && (xpercent<35))
		{
			display=DISP_PAD4;
			pos_c = display;
			Refresh_position(4);
			break;
		
		}
		if ((display==DISP_PAD5) && (ypercent>63))
		{
			display=DISP_PAD2;
			pos_c = display;
			Refresh_position(4);
			break;
		
		}
		if ((display==DISP_PAD5) && (xpercent>60))
		{
			display=DISP_PAD6;
			pos_c = display;
			Refresh_position(4);
			break;
		
		}
		if ((display==DISP_PAD5) && (ypercent<42))
		{
			display=DISP_PAD8;
			pos_c = display;
			Refresh_position(4);
			break;
		
		}else p_position++;
		break;
	
	case 6://pad6
		if ((display==DISP_PAD6) && (ypercent>63))
		{
			display=DISP_PAD3;
			pos_c = display;
			Refresh_position(5);
			break;
		
		}
		if ((display==DISP_PAD6) && (xpercent<35))
		{
			display=DISP_PAD5;
			pos_c = display;
			Refresh_position(5);
			break;
		
		}
		if ((display==DISP_PAD6) && (ypercent<42))
		{
			display=DISP_PAD9;
			pos_c = display;
			Refresh_position(5);
			break;
		
		}else p_position++;
		break;
	
	case 7://pad7
		if ((display==DISP_PAD7) && (ypercent>63))
		{
			display=DISP_PAD4;
			pos_c = display;
			Refresh_position(6);
			break;
		
		}
		if ((display==DISP_PAD7) && (xpercent>60))
		{
			display=DISP_PAD8;
			pos_c = display;
			Refresh_position(6);
			break;
		
		}else p_position++;
		break;
	
	case 8://pad8
		if ((display==DISP_PAD8) && (xpercent<35))
		{
			display=DISP_PAD7;
			pos_c = display;
			Refresh_position(7);
			break;
		
		}
		if ((display==DISP_PAD8) && (ypercent>63))
		{
			display=DISP_PAD5;
			pos_c = display;
			Refresh_position(7);
			break;
		
		}
		if ((display==DISP_PAD8) && (xpercent>60))
		{
			display=DISP_PAD9;
			pos_c = display;
			Refresh_position(7);
			break;
		
		}else p_position++;
		break;
	
	case 9://pad9
		if ((display==DISP_PAD9) && (xpercent<35))
		{
			display=DISP_PAD8;
			pos_c = display;
			Refresh_position(8);
			break;
		
		}
		if ((display==DISP_PAD9) && (ypercent>63))
		{
			display=DISP_PAD6;
			pos_c = display;
			Refresh_position(8);
			break;
		}
		else p_position=0;
		break;
		*/
	
	case 0://pad1
		if(pad==1) 
		{
			if (xpercent>60)
			{
				display=DISP_PAD2;
				if(key ==BTN_A)
				{
					pos_c = display;
					Refresh_position(0);//zapolni staro poziciji pada s ?rno
					break;
				}
				//else
				break;
			}
		
		
	
			if (ypercent<42)
			{
				display=DISP_PAD4;
				if(key ==BTN_A)
				{
					pos_c = display;
					Refresh_position(0);//zapolni staro poziciji pada s ?rno
					break;
				}
				//else
				break;
		
			}
			break;
			
		}
		else p_position++;
		break;
	
	case 1://pad2
	if (pad==2) 
	{
			if(xpercent>60)
			{
				display=DISP_PAD3;
				if(key ==BTN_A)
				{
					pos_c = display;
					Refresh_position(1);//zapolni staro poziciji pada s ?rno
					break;
				}
				//else
				break;
				
			}
			
			if (xpercent<35)
			{
				display=DISP_PAD1;
				if(key ==BTN_A)
				{
					pos_c = display;
					Refresh_position(1);//zapolni staro poziciji pada s ?rno
					break;
				}
				//else
				break;
				
			}
			if (ypercent<42)
			{
				display=DISP_PAD5;
				if(key ==BTN_A)
				{
					pos_c = display;
					Refresh_position(1);//zapolni staro poziciji pada s ?rno
					break;
				}
				//else
				break;
			}
			break;	
	}
	else p_position++;
	break;
	
	case 3://pad3
	if (pad==3) 
	{
		if(xpercent<35)
		{
			display=DISP_PAD2;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(2);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (ypercent<42)
		{
			display=DISP_PAD6;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(2);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		break;
	}
	else p_position++;
	break;
	
	case 4://pad4
	if (pad==4)
	{
		if(ypercent>63)
		{
			display=DISP_PAD1;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(3);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (xpercent>60)
		{
			display=DISP_PAD5;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(3);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (ypercent<42)
		{
			display=DISP_PAD7;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(3);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		break;
			
	}
	else p_position++;
	break;
	
	case 5://pad5
	if (pad==5)
	{
		if(xpercent<35)
		{
			display=DISP_PAD4;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(4);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if(ypercent>63)
		{
			display=DISP_PAD2;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(4);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (xpercent>60)
		{
			display=DISP_PAD6;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(4);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (ypercent<42)
		{
			display=DISP_PAD8;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(4);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		break;
		
	}
	else p_position++;
	break;
	
	case 6://pad6
	if (pad==6) 
	{
		if(ypercent>63)
		{
			display=DISP_PAD3;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(5);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (xpercent<35)
		{
			display=DISP_PAD5;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(5);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (ypercent<42)
		{
			display=DISP_PAD9;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(5);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		break;
	}
	else p_position++;
	break;
	
	case 7://pad7
	if (pad==7) 
	{
		if(ypercent>63)
		{
			display=DISP_PAD4;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(6);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (xpercent>60)
		{
			display=DISP_PAD8;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(6);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		break;
	}
	else p_position++;
	break;
	
	case 8://pad8
	if (pad==8) 
	{
		if(xpercent<35)
		{
			display=DISP_PAD7;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(7);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if  (ypercent>63)
		{
			display=DISP_PAD5;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(7);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if  (xpercent>60)
		{
			display=DISP_PAD9;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(7);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		break;
	}
	else p_position++;
	break;
	
	case 9://pad9
	if (pad==9) 
	{
		if(xpercent<35)
		{
			display=DISP_PAD8;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(8);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		if (ypercent>63)
		{
			display=DISP_PAD6;
			if(key ==BTN_A)
			{
				pos_c = display;
				Refresh_position(8);//zapolni staro poziciji pada s ?rno
				break;
			}
			//else
			break;
		}
		break;
	}
	else p_position++;
	break;
	
	default:
		//xpercent=50;
		//ypercent=50;
		display=DISP_PAD5;
		p_position=0;
		break;
	}
	
	/*UG_FontSelect(&RFONT_8X12);
	sprintf(test, "pad=%3d", pos_c);
	UG_PutString(230, 150, test);*/
	//LED_1On();
	return pos_c;
}